<html>
<head>
<title>OGRE: Class Members - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li class="current"><a href="functions.html"><span>All</span></a></li>
    <li><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html#index__"><span>_</span></a></li>
    <li><a href="functions_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
    <li class="current"><a href="functions_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
Here is a list of all class members with links to the classes they belong to:
<p>
<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
<li>v
: <a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#406342f0825bcf798e93c09398d5b0ad">Ogre::TextureUnitState::UVWAddressingMode</a>
<li>v1
: <a class="el" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html#10539fde9d3d18fab2e38727270b0e30">Ogre::BorderPanelOverlayElement::CellUV</a>
<li>v2
: <a class="el" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html#e44c54f4b87dac38ad26565bcb516b8a">Ogre::BorderPanelOverlayElement::CellUV</a>
<li>validateConfigOptions()
: <a class="el" href="classOgre_1_1RenderSystem.html#b19828ac45b10a64357d8b9fc0918351">Ogre::RenderSystem</a>
<li>validatePassForRendering()
: <a class="el" href="classOgre_1_1SceneManager.html#651906559ecf9995cd318a8855b9c228">Ogre::SceneManager</a>
<li>validateRenderableForRendering()
: <a class="el" href="classOgre_1_1SceneManager.html#822454b676e71d630ca2bcd19b0950d1">Ogre::SceneManager</a>
<li>ValidateToken()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#d7f7462543453feb7f5e4f6fb18438b7">Ogre::Compiler2Pass</a>
<li>value_type
: <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a>
<li>valueAngleUnits()
: <a class="el" href="classOgre_1_1Radian.html#73959a5a953d4a695388a476387b8e15">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#03857af7d94a567b27545a1f28a432e6">Ogre::Degree</a>
<li>valueDegrees()
: <a class="el" href="classOgre_1_1Radian.html#0b6615ad9e0b769f3772d7eb746e804a">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#0230e0c3390b44757acf1d6a40ec82c6">Ogre::Degree</a>
<li>valueRadians()
: <a class="el" href="classOgre_1_1Radian.html#e48b00b9345103217741b497108848d2">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#bb43fc06a3c963e8ba7aa96614d3a620">Ogre::Degree</a>
<li>ValueType
: <a class="el" href="classOgre_1_1VectorIterator.html#bbdea7d191a40c6469278b47d5830c07">Ogre::VectorIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1ConstVectorIterator.html#33cc575cb9c5bf759e00220ea1f04437">Ogre::ConstVectorIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">Ogre::AnimableValue</a>
<li>VECTOR2
: <a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d6931cb7b9505f0707baee335b0b200a135">Ogre::AnimableValue</a>
<li>Vector2()
: <a class="el" href="classOgre_1_1Vector2.html#54198b2714496715f6f9ec24c1194cad">Ogre::Vector2</a>
<li>Vector3()
: <a class="el" href="classOgre_1_1Vector3.html#84db6b6e0412f7a2e91e50649d6d9794">Ogre::Vector3</a>
<li>VECTOR3
: <a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d694f77f4de37ff20785d425d00dde7864a">Ogre::AnimableValue</a>
<li>Vector3()
: <a class="el" href="classOgre_1_1Vector3.html#b75a79e6126d060995368fe8647418eb">Ogre::Vector3</a>
<li>Vector4()
: <a class="el" href="classOgre_1_1Vector4.html#e4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4</a>
<li>VECTOR4
: <a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d698c429058bd40804133f32ee95337f05b">Ogre::AnimableValue</a>
<li>VectorIterator()
: <a class="el" href="classOgre_1_1VectorIterator.html#23b10f0e911c20a961947760610779fb">Ogre::VectorIterator&lt; T &gt;</a>
<li>verifyTokenRuleLinks()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#25b7ca1422b3327887079682a94327a1">Ogre::Compiler2Pass</a>
<li>vertex
: <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#e1ae521198beb805fa9e29135898c9f7">Ogre::ProgressiveMesh::PMTriangle</a>
<li>VertexAnimationTrack()
: <a class="el" href="classOgre_1_1VertexAnimationTrack.html#06136478dc5dff67a65d50067628a24b">Ogre::VertexAnimationTrack</a>
<li>VertexBoneAssignmentList
: <a class="el" href="classOgre_1_1Mesh.html#ed02a800a3f1fc668dd5da422a219ef8">Ogre::Mesh</a>
, <a class="el" href="classOgre_1_1SubMesh.html#b396ad138e9d8b48355d495215989881">Ogre::SubMesh</a>
<li>vertexBufferBinding
: <a class="el" href="classOgre_1_1VertexData.html#1cf7dacb2a133d71620abd59cb3180b0">Ogre::VertexData</a>
<li>VertexBufferBinding()
: <a class="el" href="classOgre_1_1VertexBufferBinding.html#bf27d19152cc8eabf43d559d33742442">Ogre::VertexBufferBinding</a>
<li>VertexBufferBindingList
: <a class="el" href="classOgre_1_1HardwareBufferManager.html#9f67a783dda9530e91c251ad6fabd2f1">Ogre::HardwareBufferManager</a>
<li>VertexBufferBindingMap
: <a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">Ogre::VertexBufferBinding</a>
<li>VertexBufferLicense()
: <a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#b0075d21bcd56b59b51ea1b6f5f4db63">Ogre::HardwareBufferManager::VertexBufferLicense</a>
<li>VertexBufferList
: <a class="el" href="classOgre_1_1HardwareBufferManager.html#005a83b3e1d4b0f22702b46db94c628f">Ogre::HardwareBufferManager</a>
<li>vertexBufferUsage
: <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#68fe4f51fab9e197706d3b0c3279a85a">Ogre::MeshManager::MeshBuildParams</a>
<li>VertexCacheProfiler()
: <a class="el" href="classOgre_1_1VertexCacheProfiler.html#967ec965713da4ce36c461e847f964f9">Ogre::VertexCacheProfiler</a>
<li>vertexCount
: <a class="el" href="classOgre_1_1VertexData.html#0b59b63cc2dbede1c5fc6a932fd2c10d">Ogre::VertexData</a>
<li>vertexData
: <a class="el" href="classOgre_1_1RenderOperation.html#306c2ed3599abab29a027325e3d6d721">Ogre::RenderOperation</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#8c758564b40d121b4ec99c1e31dc04b3">Ogre::StaticGeometry::OptimisedSubMeshGeometry</a>
, <a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html#156a3afb790d7e13663cbd7ee45faac6">Ogre::StaticGeometry::SubMeshLodGeometryLink</a>
, <a class="el" href="classOgre_1_1SubMesh.html#1862a3ec9a3f2ed4ade8af69b41a809d">Ogre::SubMesh</a>
<li>VertexData()
: <a class="el" href="classOgre_1_1VertexData.html#c27bb140d24d66d1f6051f47a8bb5860">Ogre::VertexData</a>
<li>vertexData
: <a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html#00ba3c5edc271d5f170ece99ebc7d5af">Ogre::InstancedGeometry::SubMeshLodGeometryLink</a>
, <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#1564edb1edb8ee140fd14ee683cae134">Ogre::EdgeData::EdgeGroup</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1OptimisedSubMeshGeometry.html#899a12a7bc3fa0733211a418229acd1c">Ogre::InstancedGeometry::OptimisedSubMeshGeometry</a>
<li>VertexDataBindChoice
: <a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb014">Ogre::Entity</a>
<li>VertexDataList
: <a class="el" href="classOgre_1_1EdgeListBuilder.html#54baa37e788c26e4017fdef47c8386dc">Ogre::EdgeListBuilder</a>
<li>vertexDeclaration
: <a class="el" href="classOgre_1_1VertexData.html#bac9cde9c001b97cf1fea7fd05b79cf4">Ogre::VertexData</a>
<li>VertexDeclaration()
: <a class="el" href="classOgre_1_1VertexDeclaration.html#564fde701486b259f4f995a799adb433">Ogre::VertexDeclaration</a>
<li>VertexDeclarationList
: <a class="el" href="classOgre_1_1HardwareBufferManager.html#d0a869ca526ad6799d90511ae7c97727">Ogre::HardwareBufferManager</a>
<li>VertexElement()
: <a class="el" href="classOgre_1_1VertexElement.html#b554b57536fc3eddde886d100c62791f">Ogre::VertexElement</a>
<li>vertexElementLess()
: <a class="el" href="classOgre_1_1VertexDeclaration.html#670466fe9bcfc426ccefb5395a3a82ef">Ogre::VertexDeclaration</a>
<li>VertexElementList
: <a class="el" href="classOgre_1_1VertexDeclaration.html#60080b97acb5b645bf3524152d75cc5d">Ogre::VertexDeclaration</a>
<li>vertexIndex
: <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#59e56296bfd4d5517185adf6137cdf21">Ogre::VertexBoneAssignment_s</a>
<li>VertexList
: <a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">Ogre::Polygon</a>
<li>VertexMorphKeyFrame()
: <a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#35dbe6428de980b778b0de1b9b7b0c8f">Ogre::VertexMorphKeyFrame</a>
<li>VertexOffsetIterator
: <a class="el" href="classOgre_1_1Pose.html#ab53719cd5a035c0b5ca9301c9927a9a">Ogre::Pose</a>
<li>VertexOffsetMap
: <a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">Ogre::Pose</a>
<li>VertexPoseKeyFrame()
: <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#8365a7cfe9bd7c805e8cbdc9fa1fa6e2">Ogre::VertexPoseKeyFrame</a>
<li>VertexReductionQuota
: <a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e3">Ogre::ProgressiveMesh</a>
<li>vertexSet
: <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#515e33f1461254ad3cdc7245b1376858">Ogre::EdgeListBuilder::Geometry</a>
, <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#8bf63fc09c7508d4c4863168442520db">Ogre::EdgeData::Triangle</a>
, <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#86c3d3704b9370b9601be1b1ef21316f">Ogre::EdgeData::EdgeGroup</a>
, <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#24eae6be08e186e0a89295375b168473">Ogre::EdgeListBuilder::CommonVertex</a>
<li>vertexShadowBuffer
: <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#cf5be35c46df90ffd82f341945557e73">Ogre::MeshManager::MeshBuildParams</a>
<li>vertexStart
: <a class="el" href="classOgre_1_1VertexData.html#a3dca90128a99a8cdcd68201ad2c2f93">Ogre::VertexData</a>
, <a class="el" href="structOgre_1_1StaticFaceGroup.html#09215495af768e8a68b20cf1a937af3a">Ogre::StaticFaceGroup</a>
<li>VertexTrackIterator
: <a class="el" href="classOgre_1_1Animation.html#6cf2cea821bb2bc222097322810a8795">Ogre::Animation</a>
<li>VertexTrackList
: <a class="el" href="classOgre_1_1Animation.html#dc4a5cb3ee2cbb80b4f0d2cd1a18ce2c">Ogre::Animation</a>
<li>vertIndex
: <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#ad95e9ee5714e7413367fe6c8ba5dd20">Ogre::EdgeData::Edge</a>
, <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#f3610ee6a688cccc061392263bde1929">Ogre::EdgeData::Triangle</a>
<li>Viewport()
: <a class="el" href="classOgre_1_1Viewport.html#ecd83ce23cc219ed1ba2f9f0b463325b">Ogre::Viewport</a>
<li>viewportAdded()
: <a class="el" href="classOgre_1_1RenderTargetListener.html#b901ef7073b680203caf86792c2151ee">Ogre::RenderTargetListener</a>
<li>ViewportList
: <a class="el" href="classOgre_1_1RenderTarget.html#ef91bc6ede66d2f18f211964addf8c09">Ogre::RenderTarget</a>
<li>viewportRemoved()
: <a class="el" href="classOgre_1_1CompositorChain.html#d7c35a353497792f762cb57b1111532e">Ogre::CompositorChain</a>
, <a class="el" href="classOgre_1_1RenderTargetListener.html#e39efc7491a7bbd3d5e2e3e5f84796c2">Ogre::RenderTargetListener</a>
<li>visibilityMask
: <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a068061eb691af0d3b0ff440004221a8">Ogre::CompositorInstance::TargetOperation</a>
<li>VisibleObjectsBoundsInfo()
: <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#2bbff049935d8d0eb89d49cc74a89431">Ogre::VisibleObjectsBoundsInfo</a>
<li>VisibleSide
: <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">Ogre::PatchSurface</a>
<li>visit()
: <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#b34d488ef550f1ca3699daaa7d376b78">Ogre::QueuedRenderableVisitor</a>
, <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#38d41c37b23fa834ea0e783e29ae21fe">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>
, <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#74d8332544721e5d1a6abb3481fa091c">Ogre::QueuedRenderableVisitor</a>
, <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#d6faf056bf49c141a2792e86693a74df">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>
, <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a36694ac36f96d8c9c9363279b97bef4">Ogre::QueuedRenderableVisitor</a>
<li>Visual
: <a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25f72cab2ce3d47d8aa4ec32797372bd81">Ogre::Particle</a>
<li>volume()
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#aa452ad6821e12ea737121b51acf9fe7">Ogre::AxisAlignedBox</a>
<li>VRQ_CONSTANT
: <a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e37dcdea89ce8a061d707b04b74a97a3c0">Ogre::ProgressiveMesh</a>
<li>VRQ_PROPORTIONAL
: <a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e38b32f463d36c939a8202f23d91c9b31c">Ogre::ProgressiveMesh</a>
<li>VS_BACK
: <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee644ea2565457231655d0dea56da799ec">Ogre::PatchSurface</a>
<li>VS_BOTH
: <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeea4aa50d12e90df02c8d549e85d365eaa">Ogre::PatchSurface</a>
<li>VS_FRONT
: <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeebe7d46958e7b6cf27e83c3e5600dafb2">Ogre::PatchSurface</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
